package com.ruoyi.project.training.elearn.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.elearn.mapper.TElRecordMapper;
import com.ruoyi.project.training.elearn.domain.TElRecord;
import com.ruoyi.project.training.elearn.service.ITElRecordService;

/**
 * 岗位培训统计Service业务层处理
 *
 * @author ssy
 * @date 2024-06-25
 */
@Service
public class TElRecordServiceImpl implements ITElRecordService
{
    @Autowired
    private TElRecordMapper tElRecordMapper;

    /**
     * 查询岗位培训统计
     *
     * @param id 岗位培训统计ID
     * @return 岗位培训统计
     */
    @Override
    public TElRecord selectTElRecordById(Long id)
    {
        return tElRecordMapper.selectTElRecordById(id);
    }

    /**
     * 查询岗位培训统计列表
     *
     * @param tElRecord 岗位培训统计
     * @return 岗位培训统计
     */
    @Override
    public List<TElRecord> selectTElRecordList(TElRecord tElRecord)
    {
        return tElRecordMapper.selectTElRecordList(tElRecord);
    }

    /**
     * 新增岗位培训统计
     *
     * @param tElRecord 岗位培训统计
     * @return 结果
     */
    @Override
    public int insertTElRecord(TElRecord tElRecord)
    {
        return tElRecordMapper.insertTElRecord(tElRecord);
    }

    /**
     * 修改岗位培训统计
     *
     * @param tElRecord 岗位培训统计
     * @return 结果
     */
    @Override
    public int updateTElRecord(TElRecord tElRecord)
    {
        return tElRecordMapper.updateTElRecord(tElRecord);
    }

    /**
     * 批量删除岗位培训统计
     *
     * @param ids 需要删除的岗位培训统计ID
     * @return 结果
     */
    @Override
    public int deleteTElRecordByIds(Long[] ids)
    {
        return tElRecordMapper.deleteTElRecordByIds(ids);
    }

    /**
     * 删除岗位培训统计信息
     *
     * @param id 岗位培训统计ID
     * @return 结果
     */
    @Override
    public int deleteTElRecordById(Long id)
    {
        return tElRecordMapper.deleteTElRecordById(id);
    }
}
